## proj 4.9.3

=== CMakeLists.txt ===
#################################################################################
#
# This file is part of CMake configuration for PROJ4 library (inspired from SOCI
# CMake,  Copyright (C) 2009-2010 Mateusz Loskot <mateusz@loskot.net> )
#
# Copyright (C) 2011 Nicolas David <nicolas.david@ign.fr>
# Distributed under the MIT license
#
#################################################################################
# General settings
#################################################################################
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

# proj4 is an ANSI C project
project(PROJ4 C)
set(PROJECT_INTERN_NAME PROJ)

#################################################################################
# PROJ4 CMake modules
#################################################################################
# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(Proj4Utilities)

message(STATUS "")
colormsg(_HIBLUE_ "Configuring PROJ:")

#################################################################################
#PROJ version information
#################################################################################
include(Proj4Version)
proj_version(MAJOR 4 MINOR 9 PATCH 3)
set(PROJ_API_VERSION "12")
set(PROJ_BUILD_VERSION "12.0.0")

#################################################################################
# Build features and variants
#################################################################################
include(Proj4SystemInfo)
include(Proj4Config)
include(Proj4Mac)
include(policies)

#################################################################################
# Self-test build config
#################################################################################

option(SELFTEST "Include self-test in build" OFF)
if(SELFTEST)
    add_definitions(-DPJ_SELFTEST)
endif(SELFTEST)

#################################################################################
# threading configuration
#################################################################################
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package (Threads)

include(CheckIncludeFiles)
include(CheckSymbolExists)
CHECK_SYMBOL_EXISTS(PTHREAD_MUTEX_RECURSIVE pthread.h HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
if (HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
    add_definitions(-DHAVE_PTHREAD_MUTEX_RECURSIVE=1)
endif()

boost_report_value(PROJ_PLATFORM_NAME)
boost_report_value(PROJ_COMPILER_NAME)

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif ()

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # For multi-config systems and for Visual Studio, the debug version of
  # the library has _d appended.
  set (CMAKE_DEBUG_POSTFIX _d)
endif ()

option(PROJ4_TESTS "Enable build of collection of PROJ4 tests" ON)
boost_report_value(PROJ4_TESTS)
if(PROJ4_TESTS)
    include(CTest)
    enable_testing()
endif(PROJ4_TESTS)
include(Proj4Test)

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
link_directories(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

#################################################################################
# Installation
#################################################################################
include(Proj4InstallPath)
set(BINDIR "${DEFAULT_BINDIR}" CACHE PATH "The directory to install binaries into.")
set(LIBDIR "${DEFAULT_LIBDIR}" CACHE PATH "The directory to install libraries into.")
set(DATADIR "${DEFAULT_DATADIR}" CACHE PATH "The directory to install data files into.")
set(DOCDIR "${DEFAULT_DOCDIR}" CACHE PATH "The directory to install doc files into.")
set(INCLUDEDIR "${DEFAULT_INCLUDEDIR}" CACHE PATH "The directory to install includes into.")

#################################################################################
# Build configured components
#################################################################################
include_directories(${PROJ4_SOURCE_DIR}/src)

message(STATUS "")
add_subdirectory(nad)
add_subdirectory(src)
add_subdirectory(man)
add_subdirectory(cmake)

=== cmake/CMakeLists.txt ===
# proj-config.cmake for the install tree.  It's installed in
# ${INSTALL_CMAKE_DIR} and @PROJECT_ROOT_DIR@ is the relative
# path to the root from there.  (Note that the whole install tree can
# be relocated.)
if (NOT WIN32)
  set (INSTALL_CMAKE_DIR "share/cmake/${PROJECT_NAME}")
  set (PROJECT_ROOT_DIR "../../..")
else ()
  set (INSTALL_CMAKE_DIR "cmake")
  set (PROJECT_ROOT_DIR "..")
endif ()

string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)
configure_file (project-config.cmake.in project-config.cmake @ONLY)
configure_file (project-config-version.cmake.in
  project-config-version.cmake @ONLY)
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config.cmake")
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config-version.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config-version.cmake")
# Make information about the cmake targets (the library and the tools)
# available.
install (EXPORT targets
  FILE ${PROJECT_NAME_LOWER}-targets.cmake
  DESTINATION "${INSTALL_CMAKE_DIR}")

=== src/CMakeLists.txt ===
# first include proj library
# always need
include(lib_proj.cmake)

# configure executable build
option(BUILD_CS2CS "Build cs2cs (coordinate systems to coordinate systems translation tool)" ON)
option(BUILD_PROJ "Build proj (cartographic projection tool : latlong <-> projected coordinates" ON)
option(BUILD_GEOD "Build geod (computation of geodesic lines)" ON)
option(BUILD_NAD2BIN "Build nad2bin (format conversion tool) " ON)

if(NOT MSVC)
  if (NOT APPLE)
    # Use relative path so that package is relocatable
    set(CMAKE_INSTALL_RPATH "\$ORIGIN/../${LIBDIR}")
  else ()
    set (CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}")
    # TO DO: cmake 2.8.12 introduces a way to make the install tree
    # relocatable with OSX via
    # (1) set(CMAKE_MACOSX_RPATH ON) and
    # (2) setting the INSTALL_RPATH property on the executables to
    # "@loader_path/../${LIBDIR}"
  endif ()
endif ()

if(BUILD_CS2CS)
 include(bin_cs2cs.cmake)
endif(BUILD_CS2CS)

if(BUILD_PROJ)
  include(bin_proj.cmake)
endif(BUILD_PROJ)

if(BUILD_GEOD)
  include(bin_geod.cmake)
  include(bin_geodtest.cmake)
endif(BUILD_GEOD)

if(BUILD_NAD2BIN)
  include(bin_nad2bin.cmake)
endif(BUILD_NAD2BIN)

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # Add _d suffix for your debug versions of the tools
  set_target_properties (cs2cs binproj geod nad2bin PROPERTIES
    DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX})
endif ()

=== debian/changelog ===
proj (4.9.3-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 11:43:18 +0200

proj (4.9.3-2~exp1) experimental; urgency=medium

  * Add patch to fix PJ_sch description, causes issues with PDL parser.
  * Add patch to fix 'International' typo.
  * Mark binary packages for Multi-Arch.
    (closes: #857538)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Mar 2017 11:11:39 +0100

proj (4.9.3-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Sep 2016 14:48:27 +0200

proj (4.9.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Update datumgrids-ch.shar to also include the latest Swiss CHENyx06
    dataset, replacing chenyx06etrs.gsb with CHENYX06_etrs.{asc,gsb}.
  * Update README.debian & README.source for datumgrid{,-ch}.shar changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Sep 2016 10:50:20 +0200

proj (4.9.3~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Kristian Evers to copyright holders.
  * Update symbols for 4.9.3~rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Aug 2016 21:23:40 +0200

proj (4.9.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Revert OSX cruft exclusion from repacked upstream tarball.
    RC2 was generated on Ubuntu which doesn't contain the cruft.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2016 10:27:41 +0200

proj (4.9.3~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Repack upstream tarball to exclude OSX cruft.
  * Update copyright file, changes:
    - Update copyright years for Charles Karney
    - Add Thomas Knudsen, Drazen Tutic & Lovro Gradiser to copyright holders
    - Add license & copyright for src/PJ_sch.c
    - Change MIT license shortname to Expat
    - Add license & copyright for src/PJ_patterson.c
  * Drop patches, applied upstream.
  * Rename library package for SONAME bump.
  * Switch to headless variant for default-jdk dependency.
  * Drop custom backup handling for autoreconf.
  * Update symbols for 4.9.3~rc1.
  * Drop dh_installchangelogs override, rely on defaults.
  * Also install NEWS file in docs.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Aug 2016 11:48:27 +0200

=== debian/control ===
Source: proj
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               sharutils,
               default-jdk-headless,
               ant,
               doxygen,
               graphviz
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/proj.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/proj.git
Homepage: https://github.com/OSGeo/proj.4/wiki

Package: proj-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cartographic projection filter and library (datum package)
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package contains auxiliary projection datum grids used by the
 library and tools.

Package: libproj12
Architecture: any
Multi-Arch: same
Section: libs
Depends: proj-data,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: proj-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cartographic projection library 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 shared library used by tools and third
 parties programs.

Package: libproj-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libproj12 (= ${binary:Version}),
         ${misc:Depends}
Suggests: proj-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cartographic projection library (development files) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 development files.

Package: proj-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cartographic projection library (tools) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 binary tools.

Package: libproj-java
Architecture: any
Section: java
Depends: libproj12 (= ${binary:Version}),
         libjs-jquery,
         ${misc:Depends}
Description: Cartographic projection library (JNI bindings) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the Java Native Interface bindings for PROJ4.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PROJ_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

JAVA_HOME = /usr/lib/jvm/default-java

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
# `nostrip' handled by dh_strip...

CFLAGS += -I$(JAVA_HOME)/include/linux

datumgrids: datumgrids-stamp
datumgrids-stamp:
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids.shar
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids-ch.shar
	touch $@

%:
	if [ "$@" != "datumgrids" -a "$@" != "datumgrids-stamp" ]; then \
		dh $@ --with autoreconf --parallel ; \
	fi

override_dh_clean:
	dh_clean src/org_proj4_PJ_Type.h

override_dh_auto_clean:
	( cd $(CURDIR)/nad && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
	dh_auto_clean -Sant -Djniwrap
	dh_auto_clean

override_dh_auto_configure: datumgrids
	dh_auto_configure -- --with-jni=$(JAVA_HOME)/include

override_dh_auto_build:
	dh_auto_build -Sant -Djniwrap -- do_javah jar_it do_make_help
	dh_auto_build

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	dh_auto_install
	
	cp $(CURDIR)/src/projects.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ_Type.h $(CURDIR)/debian/tmp/usr/include/.
	
	# Fix manpages 
	for man in $(CURDIR)/debian/tmp/usr/share/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man3/*.3; \
	do \
		sed -i -e 's/^\.nr LL 5.5i$$/\.\\"/' $$man; \
	done

	# Fixating man section in pj_init.3
	sed -i -e 's/\(.TH PJ_INIT\) 3U\(.*\)/\1 3\2/' $(CURDIR)/debian/tmp/usr/share/man/man3/pj_init.3

	# Empty dependency_libs in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	# Remove useless autogenreated doxygen files
	rm -f $(CURDIR)/jniwrap/docs/html/*.md5

	# Remove doxygen jquery.js copy in favor of libjs-jquery
	rm -f $(CURDIR)/debian/*/usr/share/doc/libproj-java/html/jquery.js

override_dh_install:
	dh_install --list-missing

override_dh_installdocs:
	dh_installdocs AUTHORS NEWS README

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PROJ_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/proj/ \
(?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## proj 5.0.0

=== debian/changelog ===
proj (5.0.0-4) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Mar 2018 06:50:18 +0100

proj (5.0.0-4~exp1) experimental; urgency=medium

  * Add upstream patches from 5.0 branch:
    - Remove-angle-brackets-for-proj-headers.patch
    - Remove-pj_-prefix-from-static-functions.patch
    - Make-sure-that-transient-errors-are-returned-correctly.patch
      Should fix python-mpop test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Mar 2018 15:07:18 +0100

proj (5.0.0-3) unstable; urgency=medium

  * Update pj_transform-height_unit.patch which changes as applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Mar 2018 22:12:17 +0100

proj (5.0.0-3~exp2) experimental; urgency=medium

  * Add patch to fix height_unit() in proj_transform.c.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Mar 2018 12:20:41 +0100

proj (5.0.0-3~exp1) experimental; urgency=medium

  * Add upstream patches to fix regressions in 5.0.0:
    - 0001-Revert-fix-to-22.patch
      Fixes web mercator projection
    - pr845_*-reintroduce-support-for-vertical-scaling.patch
      Fixes +vdatum handling in cs2cs
    (closes: #892062)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Mar 2018 07:34:25 +0100

proj (5.0.0-2) unstable; urgency=medium

  * Install docs in all packages.
    (closes: #892025)
  * Update Homepage URL.
    (closes: #892026)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 11:48:40 +0100

proj (5.0.0-1) unstable; urgency=medium

  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 09:52:44 +0100

proj (5.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures on hppa.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Mar 2018 21:33:04 +0100

proj (5.0.0~rc6-1~exp2) experimental; urgency=medium

  * Update datumgrids.shar (XZ compressed) with proj-datumgrid-1.7RC2.
  * Use XZ compression for datumgrids-ch.shar too.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Feb 2018 22:29:10 +0100

proj (5.0.0~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't ignore test failures for arm64, ppc64el, s390x & ppc64.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Feb 2018 20:39:55 +0100

proj (5.0.0~rc5-1~exp2) experimental; urgency=medium

  * Add patch by Charles Karney to relax some of the tests in geodtest.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Feb 2018 11:15:11 +0100

proj (5.0.0~rc5-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop install-nad-gtx.patch, applied upstream.
  * Update copyright years for Charles Karney.
  * Add upstream patch to fix gie test failures for missing grids.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Feb 2018 22:13:06 +0100

proj (5.0.0~rc4-1~exp2) experimental; urgency=medium

  * Update datumgrids.shar (XZ compressed) with proj-datumgrid-1.7RC1.
  * Add patch to also install .gtx files from proj-datumgrid.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Feb 2018 19:06:16 +0100

proj (5.0.0~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Ignore test failures on more problematic architectures.
  * Update watch file to use HTTPS.
  * Rename PROJ.4 to PROJ.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2018 18:19:41 +0100

proj (5.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied/included upstream.
  * Update symbols for 5.0.0~rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Feb 2018 07:34:04 +0100

proj (5.0.0~rc2-1~exp4) experimental; urgency=medium

  * Add patch for missing ! in boolean evaluation.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Feb 2018 16:54:36 +0100

proj (5.0.0~rc2-1~exp3) experimental; urgency=medium

  * Ignore test failures on problematic architectures only.
  * Add patch to avoid XY, LP and UV datatype clashes with other libraries.
    See: #889922 & #889926
  * Fix deprecated source override location.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Feb 2018 11:13:32 +0100

proj (5.0.0~rc2-1~exp2) experimental; urgency=medium

  * Add patch to avoid numerical differences on non-amd64 architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Feb 2018 15:58:39 +0100

proj (5.0.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patch.
  * Update symbols for 5.0.0~rc2.
  * Don't ignore test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2018 22:46:28 +0100

proj (5.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.3, no changes.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update copyright years for copyright holders.
  * Drop patches, applied upstream.
  * Add patch to link libm to fix FTBFS.
  * Update symbols for 5.0.0~rc1.
  * Add patch to fix SOVERSION for Automake builds.
  * Rename library package for SONAME bump.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Add patch for adding cct & gie manpages.
  * Include all headers in libproj-dev.
  * Add patch to fix manpage formatting.
  * Add patch to fix manpage section for pj_init.
  * Don't use libjs-jquery for Doxygen docs.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Feb 2018 18:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
                default-jdk-headless,
                ant,
                doxygen,
-               graphviz
-Standards-Version: 3.9.8
+               graphviz,
+               xz-utils
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/proj.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/proj.git
-Homepage: https://github.com/OSGeo/proj.4/wiki
+Homepage: http://proj4.org/
 
 Package: proj-data
 Architecture: all
@@ -36,7 +37,7 @@
  This package contains auxiliary projection datum grids used by the
  library and tools.
 
-Package: libproj12
+Package: libproj13
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -45,7 +46,7 @@
          ${misc:Depends}
 Suggests: proj-bin
 Pre-Depends: ${misc:Pre-Depends}
-Description: Cartographic projection library 
+Description: Cartographic projection library
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
  selectable projection functions (over 100 projections).
@@ -56,18 +57,18 @@
  forward and back azimuths and distance between an initial and terminus
  point latitudes and longitudes (inverse).
  .
- This package provides the PROJ4 shared library used by tools and third
+ This package provides the PROJ shared library used by tools and third
  parties programs.
 
 Package: libproj-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libproj12 (= ${binary:Version}),
+Depends: libproj13 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: proj-bin
 Pre-Depends: ${misc:Pre-Depends}
-Description: Cartographic projection library (development files) 
+Description: Cartographic projection library (development files)
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
  selectable projection functions (over 100 projections).
@@ -78,13 +79,13 @@
  forward and back azimuths and distance between an initial and terminus
  point latitudes and longitudes (inverse).
  .
- This package provides the PROJ4 development files.
+ This package provides the PROJ development files.
 
 Package: proj-bin
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: Cartographic projection library (tools) 
+Description: Cartographic projection library (tools)
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
  selectable projection functions (over 100 projections).
@@ -95,15 +96,14 @@
  forward and back azimuths and distance between an initial and terminus
  point latitudes and longitudes (inverse).
  .
- This package provides the PROJ4 binary tools.
+ This package provides the PROJ binary tools.
 
 Package: libproj-java
 Architecture: any
 Section: java
-Depends: libproj12 (= ${binary:Version}),
-         libjs-jquery,
+Depends: libproj13 (= ${binary:Version}),
          ${misc:Depends}
-Description: Cartographic projection library (JNI bindings) 
+Description: Cartographic projection library (JNI bindings)
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
  selectable projection functions (over 100 projections).
@@ -114,4 +114,4 @@
  forward and back azimuths and distance between an initial and terminus
  point latitudes and longitudes (inverse).
  .
- This package provides the Java Native Interface bindings for PROJ4.
+ This package provides the Java Native Interface bindings for PROJ.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,9 @@
 
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-PROJ_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 JAVA_HOME = /usr/lib/jvm/default-java
 
@@ -55,7 +57,12 @@
 	dh_auto_build
 
 override_dh_auto_test:
+# Ignore test failures on problematic architectures only
+ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386 hurd-i386 hppa ia64 powerpc"))
 	dh_auto_test || echo "Ignoring test failures"
+else
+	dh_auto_test
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -64,30 +71,18 @@
 	cp $(CURDIR)/src/org_proj4_PJ.h $(CURDIR)/debian/tmp/usr/include/.
 	cp $(CURDIR)/src/org_proj4_PJ_Type.h $(CURDIR)/debian/tmp/usr/include/.
 	
-	# Fix manpages 
-	for man in $(CURDIR)/debian/tmp/usr/share/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man3/*.3; \
-	do \
-		sed -i -e 's/^\.nr LL 5.5i$$/\.\\"/' $$man; \
-	done
-
-	# Fixating man section in pj_init.3
-	sed -i -e 's/\(.TH PJ_INIT\) 3U\(.*\)/\1 3\2/' $(CURDIR)/debian/tmp/usr/share/man/man3/pj_init.3
-
 	# Empty dependency_libs in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 
 	# Remove useless autogenreated doxygen files
 	rm -f $(CURDIR)/jniwrap/docs/html/*.md5
 
-	# Remove doxygen jquery.js copy in favor of libjs-jquery
-	rm -f $(CURDIR)/debian/*/usr/share/doc/libproj-java/html/jquery.js
-
 override_dh_install:
 	dh_install --list-missing
 
 override_dh_installdocs:
-	dh_installdocs AUTHORS NEWS README
+	dh_installdocs -A AUTHORS NEWS README
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -v$(PROJ_VERSION)
+	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

## proj 5.0.1~rc1

=== debian/changelog ===
proj (5.0.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Mar 2018 16:50:34 +0100

## proj 5.1.0

=== debian/changelog ===
proj (5.1.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Use filter instead of findstring to prevent partial matches.
  * Update lintian override for embedded-javascript-library.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add upstream patches to fix test failure with GCC 8.x.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Aug 2018 15:47:39 +0200

proj (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete dh_clean override.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jun 2018 15:12:04 +0200

proj (5.1.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 May 2018 21:46:51 +0200

proj (5.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Also ignore test failures on kfreebsd-i386.
  * Strip trailing whitespace from changelog & rules files.
  * Drop patches, included upstream.
  * Update copyright holders.
  * Add patch to ignore failed_to_load_grid error for missing grid file.
  * Add patch to fix SONAME.
  * Update symbols for 5.1.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 May 2018 20:56:42 +0200

proj (5.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4, no changes.
  * Add upstream patch to reset error state before each call to pj_inv/pj_fwd.
    Fixes some gdalwarp scenarios.
  * Add upstream patch to update jniwrap for Java 10 compatibility.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 May 2018 10:01:35 +0200

proj (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Apr 2018 13:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                doxygen,
                graphviz,
                xz-utils
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/proj.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/proj.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/proj
+Vcs-Git: https://salsa.debian.org/debian-gis-team/proj.git
 Homepage: http://proj4.org/
 
 Package: proj-data

## proj 5.2.0

=== debian/changelog ===
proj (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Sep 2018 18:15:48 +0200

proj (5.2.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Sep 2018 07:22:54 +0200

proj (5.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update Homepage URL to use HTTPS.
  * Add license & copyright for gtest sources.
  * Drop patches, included upstream.
  * Update datumgrids.shar (XZ compressed) with proj-datumgrid-1.8RC1.
  * Add patch to fix SONAME decrement.
  * Update symbols for 5.2.0~rc1.
  * Add patch to not install gtest libraries.
  * Add patch to not install test executables.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Sep 2018 09:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                doxygen,
                graphviz,
                xz-utils
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/proj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/proj.git
-Homepage: http://proj4.org/
+Homepage: https://proj4.org/
 
 Package: proj-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,6 @@
 		dh $@ --with autoreconf --parallel ; \
 	fi
 
-override_dh_clean:
-	dh_clean src/org_proj4_PJ_Type.h
-
 override_dh_auto_clean:
 	( cd $(CURDIR)/nad && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
 	dh_auto_clean -Sant -Djniwrap
@@ -53,12 +50,12 @@
 	dh_auto_configure -- --with-jni=$(JAVA_HOME)/include
 
 override_dh_auto_build:
-	dh_auto_build -Sant -Djniwrap -- do_javah jar_it do_make_help
+	dh_auto_build -Sant -Djniwrap -- javadoc
 	dh_auto_build
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386 hurd-i386 hppa ia64 powerpc"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386 hurd-i386 hppa ia64 kfreebsd-i386 powerpc))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
@@ -69,7 +66,6 @@
 	
 	cp $(CURDIR)/src/projects.h $(CURDIR)/debian/tmp/usr/include/.
 	cp $(CURDIR)/src/org_proj4_PJ.h $(CURDIR)/debian/tmp/usr/include/.
-	cp $(CURDIR)/src/org_proj4_PJ_Type.h $(CURDIR)/debian/tmp/usr/include/.
 	
 	# Empty dependency_libs in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
@@ -85,4 +81,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://download.osgeo.org/proj/ \
(?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## proj 6.3.0

=== debian/changelog ===
proj (6.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Jan 2020 08:03:43 +0100

proj (6.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Name field from upstream metadata.
  * Update symbols for amd64.
  * Add lintian override for no-dh-sequencer.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Dec 2019 14:10:20 +0100

proj (6.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update 6.2.1~rc1 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Nov 2019 20:34:54 +0100

proj (6.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update symbols for 6.2.1~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Oct 2019 19:16:31 +0100

proj (6.2.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 13:10:14 +0200

proj (6.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Don't remove data/null on clean, included upstream too.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2019 09:38:16 +0200

proj (6.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add license & copyright for nlohmann sources.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Aug 2019 05:58:40 +0200

proj (6.1.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update symbols for amd64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Aug 2019 15:30:21 +0200

proj (6.1.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use wildcards in manpage-has-errors-from-man lintian override.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jul 2019 09:32:49 +0200

proj (6.1.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update URLs from proj4.org to proj.org.
  * Update upstream metadata for proj.4 -> PROJ rename.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Jun 2019 20:50:58 +0200

proj (6.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 May 2019 19:54:22 +0200

proj (6.1.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 6.1.0~rc2 symbols for other architectures.
  * Update 6.1.0~rc3 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 May 2019 14:55:42 +0200

proj (6.1.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 6.1.0~rc1 symbols for other architectures.
  * Drop patches, applied/included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 May 2019 06:20:12 +0200

proj (6.1.0~rc1-1~exp2) experimental; urgency=medium

  * Add patch from PR #1454 to fix proj-rdnap test failures.
  * Update symbols for other architectures.
  * Add lintian overrides for manpage-has-errors-from-man.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2019 20:30:48 +0200

proj (6.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 6.0.0 symbols for other architectures.
  * Add patch to fix spelling errors.
  * Update 6.1.0~rc1 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2019 08:37:02 +0200

proj (6.0.0-1~exp2) experimental; urgency=medium

  * Update URL to FAQ, wiki page is gone.
  * Add version requirement for proj-data dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2019 10:56:50 +0100

proj (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update 6.0.0~rc4 symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Mar 2019 19:48:28 +0100

proj (6.0.0~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 6.0.0~rc3 symbols for other architectures.
  * Update 6.0.0~rc4 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Feb 2019 06:56:06 +0100

proj (6.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 6.0.0~rc2 symbols for other architectures.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Feb 2019 22:08:06 +0100

proj (6.0.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Update 6.0.0~rc1 symbols for other architectures.
  * Drop unused lintian override for binary-without-manpage.
  * Add patch to fix spelling errors.
  * Update 6.0.0~rc2 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Feb 2019 12:41:22 +0100

proj (6.0.0~rc1-1~exp3) experimental; urgency=medium

  * Add upstream patch to implement fuzzy proj string comparison.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Feb 2019 10:03:34 +0100

proj (6.0.0~rc1-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix uniconvert test failure on some architectures.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Feb 2019 08:49:03 +0100

proj (6.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop pre-release from symbols version.
  * Update datumgrids.shar (XZ compressed) with proj-datumgrid-1.8.


=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libsqlite3-dev,
+               pkg-config,
+               pkg-kde-tools,
                sharutils,
-               default-jdk-headless,
-               ant,
-               doxygen,
-               graphviz,
+               sqlite3,
                xz-utils
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/proj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/proj.git
-Homepage: https://proj4.org/
+Homepage: https://proj.org/
 
 Package: proj-data
 Architecture: all
@@ -37,11 +37,11 @@
  This package contains auxiliary projection datum grids used by the
  library and tools.
 
-Package: libproj13
+Package: libproj15
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: proj-data,
+Depends: proj-data (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: proj-bin
@@ -64,7 +64,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libproj13 (= ${binary:Version}),
+Depends: libproj15 (= ${binary:Version}),
+         libsqlite3-dev,
          ${misc:Depends}
 Suggests: proj-bin
 Pre-Depends: ${misc:Pre-Depends}
@@ -97,21 +98,3 @@
  point latitudes and longitudes (inverse).
  .
  This package provides the PROJ binary tools.
-
-Package: libproj-java
-Architecture: any
-Section: java
-Depends: libproj13 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Cartographic projection library (JNI bindings)
- Proj and invproj perform respective forward and inverse transformation
- of cartographic data to or from Cartesian data with a wide range of
- selectable projection functions (over 100 projections).
- .
- Geod and invgeod perform geodesic (Great Circle) computations for
- determining latitude, longitude and back azimuth of a terminus point given
- a initial point latitude, longitude, azimuth and distance (direct) or the
- forward and back azimuths and distance between an initial and terminus
- point latitudes and longitudes (inverse).
- .
- This package provides the Java Native Interface bindings for PROJ.
